void httpRequest()
{
  if ((!initialConfig) && (parameterOK)) {

    // Use WiFiClient class to create TCP connections
    WiFiClient client;

    if (!client.connect(host, port)) {
      /// Serial.println("connection failed");

      digitalWrite(LEDpin, !digitalRead(LEDpin));   /// Flashing leds
      return;
    } else
    {
      digitalWrite(LEDpin, HIGH);
    }



    ///   values to send sends to emoncms   ///


    /// JSON/HTTP Emoncms
    Serial.println("json");
    String json = "/emoncms/input/post.json?node=" + String(nodedata) + "&json={" + String(inputname1) + ":" + String(ct_1) + "," + String(inputname2) + ":" + String(ct_2) + "," + String(inputname3) + ":" + String(ct_3) + "," + String(inputname4) + ":" + String(irms_1) + "," + String(inputname5) + ":" + String(irms_2) + "," + String(inputname6) + ":" + String(irms_3) + "," + String(inputname7) + ":" + String(vrm_0) + "}&apikey=" + apikey;
    Serial.println(json);
    Serial.println("");

    // This will send the request to the server emoncms
    client.print(String("GET ") + json + " HTTP/1.1\r\n" +
                 "Host: " + host + "\r\n" +
                 "Connection: close\r\n\r\n");


    ///////////////// timeout 5 sec ///////////////
    unsigned long timeout = millis();
    while (client.available() == 0) {
      if (millis() - timeout > 5000) {
        // digitalWrite(pin_led_App, LOW);
        Serial.println(">>> Client Timeout !");
        client.stop();
        return;
      }
    }

    // Read all the lines of the reply from server and print them to Serial
    while (client.available()) {
      String line = client.readStringUntil('\r');
      Serial.print(line);
    }

    Serial.println();
    Serial.println("closing connection");

    //delay(updatedata * 1000);  /// update data  sec * 1000ms



  } else
  {

    Serial.println("Network connection failed");
    Serial.println("");
    Serial.println("configure network credentials (Config button + Reset button)");

    delay(3000);

  }

lastConnectionTime = millis();
}
